| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/flavors/{flavor_id} | Gets details for a specified flavor. Includes the rxtx_factor extended attribute. |
Normal response codes: 200200
This table shows the URI parameters for the get flavor with rxtx_factor request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| String | The flavor ID. |
This operation does not require a request body.
Example 3.81. Get flavor with rxtx_factor: JSON response
{
"flavor": {
"disk": 1,
"id": "1",
"links": [
{
"href": "http://openstack.example.com/v2/openstack/flavors/1",
"rel": "self"
},
{
"href": "http://openstack.example.com/openstack/flavors/1",
"rel": "bookmark"
}
],
"name": "m1.tiny",
"ram": 512,
"rxtx_factor": 1.0,
"vcpus": 1
}
}
Example 3.82. Get flavor with rxtx_factor: XML response
<?xml version='1.0' encoding='UTF-8'?> <flavor xmlns:atom="http://www.w3.org/2005/Atom" xmlns="http://docs.openstack.org/compute/api/v1.1" disk="1" vcpus="1" ram="512" name="m1.tiny" id="1" rxtx_factor="1.0"> <atom:link href="http://openstack.example.com/v2/openstack/flavors/1" rel="self"/> <atom:link href="http://openstack.example.com/openstack/flavors/1" rel="bookmark"/> </flavor>
This operation does not return a response body.

